import TicTacToe from "./models/tictactoe.model.js";

class Model {
    constructor() {
	this.size=3;
	this.game = new TicTacToe(this.size,this.size,3);
	this.txt = "";
	this.numberOfPlayers=0;
        this.io = undefined;

  }

    checkWinner(r,c){
	return this.game.checkWinner(r,c);
    }
    
    select(r,c){
	return this.game.put(r,c);
    }
    
    getSize(){
	return this.size;;
    }
    
    getNumberOfPlayers(){
	return this.numberOfPlayers;
    }

    addPlayer(){
	if (this.numberOfPlayers<2){
	    this.numberOfPlayers++;
	    return true;
	}
	return false;
    }
    
    init(io) {
      this.io = io;
    }

    broadcast(message) {
	console.log(message);
        this.io.emit("msg", message);
    }

   broadcastTurn(turn) {
        this.io.emit("turn", turn);
    }

    broadcastSelect(row,col) {
	console.log("*****row col");
        this.io.emit("selected",row,col,this.game.getSign(row,col));
  }

    getSign(row,col){
	return this.game.getSign(row,col);

    }

    noEmptyCells(){
	return this.game.noEmptyCells();
    }
    nextTurn(){
	return this.game.nextTurn();

    }
    
}
export default new Model();
